/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TCoreLogictype;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TCoreLogictypeRecord extends UpdatableRecordImpl<TCoreLogictypeRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_core_logictype.pk_core_logictype</code>.
     */
    public void setPkCoreLogictype(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_core_logictype.pk_core_logictype</code>.
     */
    public Integer getPkCoreLogictype() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.t_core_logictype.logictype</code>. type of
     * logic
     */
    public void setLogictype(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_core_logictype.logictype</code>. type of
     * logic
     */
    public Integer getLogictype() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_core_logictype.logictype_descr</code>.
     * language key for logic type
     */
    public void setLogictypeDescr(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_core_logictype.logictype_descr</code>.
     * language key for logic type
     */
    public String getLogictypeDescr() {
        return (String) get(2);
    }

    /**
     * Setter for <code>common_dd.t_core_logictype.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_core_logictype.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(3);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TCoreLogictypeRecord
     */
    public TCoreLogictypeRecord() {
        super(TCoreLogictype.T_CORE_LOGICTYPE);
    }

    /**
     * Create a detached, initialised TCoreLogictypeRecord
     */
    public TCoreLogictypeRecord(Integer pkCoreLogictype, Integer logictype, String logictypeDescr, LocalDateTime lastchange) {
        super(TCoreLogictype.T_CORE_LOGICTYPE);

        setPkCoreLogictype(pkCoreLogictype);
        setLogictype(logictype);
        setLogictypeDescr(logictypeDescr);
        setLastchange(lastchange);
        resetChangedOnNotNull();
    }
}
